=== debian/control ===
Source: haskell-should-not-typecheck
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Clint Adams <clint@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-hspec-dev (>= 2.1),
 libghc-hspec-expectations-dev (>= 0.6),
 libghc-hunit-dev (>= 1.2),
 libghc-hunit-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-hunit-doc,
Standards-Version: 4.1.4
Homepage: http://github.com/CRogers/should-not-typecheck
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-should-not-typecheck
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-should-not-typecheck]
X-Description: verify that an expression does not typecheck
 should-not-typecheck is a Haskell library which allows you to assert
 that an expression does not typecheck in your tests. It provides one
 function, shouldNotTypecheck, which takes an expression and will fail
 the test if it typechecks. shouldNotTypecheck returns an HUnit
 Assertion (so it can be used with both HUnit and hspec).

Package: libghc-should-not-typecheck-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-should-not-typecheck-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-should-not-typecheck-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
